// Utilisation des flots d'entree-sortie C++
#include <iostream.h>
// Utilisation de la classe LocalMap<T>
#include "outilsinit.h"
#include "spheregorski.h"

// Utilisation des generateurs aleatoires
#include "nbrandom.h"
#include "fitsioserver.h" 
int main()
{

  // ----- ATTENTION -------
  // Initialisation de Peida
  // A faire au debut de main()
  PeidaInit();

  int m=4;
  SphereGorski<float> sph(m);
  cout << " nombre de pixels: " << sph.NbPixels() << endl;
  for(int j=0; j<sph.NbPixels(); j++ ) {
    sph(j)= (float)j;
  }
  sph.print(cout);
  FitsIoServer fserv;
  fserv.save(sph, "sph.fits");
  SphereGorski<double> sph2(m);
  fserv.load(sph2, "sph.fits");
  sph2.print(cout);
}
